﻿using System;
using System.Collections.Generic;
using System.Text;
using CY.SDK.Ambry.Request;
using CY.SDK.Ambry.Response;

namespace CY.SDK.Ambry
{
    public class DefaultAmbryClient
    {
        public DefaultAmbryClient(string url)
        {
            _domain = url;
        }

        private string _domain;
        private int _port = 80;



        public T Excete<T>(BaseRequest<T> request) where T : BaseResponse
        {
            _port = 80;
            string url = GetUrlPath(request.GetPath());

            T t = request.Excete(url);

            return t;
        }

        string GetUrlPath(string path)
        {
            string url = string.Format("{0}/{1}", _domain, path);
            return url;
        }

    }
}
