﻿using System;
using System.Collections.Generic;
using System.Text;
using CY.SDK.Ambry.Response;

namespace CY.SDK.Ambry.Request
{
    public class HealthCheckRequest : BaseRequest<HealthCheckResponse>
    {
        public override HealthCheckResponse Excete(string url)
        {
            HealthCheckResponse response = new HealthCheckResponse() { };
            try
            {
                HttpReponse content = HttpHelper.GetRequest(url);
                response.Body = content.Result;


                response.IsHealth = (content.Equals("GOOD"));

            }
            catch (Exception ex)
            {
                response.IsError = true;
                response.ErrorMsg = ex.Message;
            }
            return response;
        }

        public override string GetPath()
        {
            return "healthCheck";
        }
    }
}
