﻿using System;
using System.Collections.Generic;
using System.Text;
using CY.SDK.Ambry.Response;

namespace CY.SDK.Ambry.Request
{
    public class GetFileRequest : BaseRequest<GetFileResponse>
    {
        public override GetFileResponse Excete(string url)
        {
            GetFileResponse response = new GetFileResponse() { IsError = false, };
            try
            {

                HttpFileReponse res = HttpHelper.GetFileRequest(url);
                response.Content = res.Bytes;
                response.BlobSize = "1";//[Headers.BLOB_SIZE];
                response.ContentType =res.ContentType;//["Content-Type"];
                response.Date = Convert.ToDateTime(res.Headers.Date.Value.ToLocalTime().ToString("yyyy-MM-dd HH:mm:ss"));
                response.Stream = res.Stream;
             
            }
            catch (Exception ex)
            {
                response.IsError = true;
                response.ErrorMsg = ex.Message;
            }
            return response;
        }

        public string AmbryId { set; get; }


        public override string GetPath()
        {
            return AmbryId;
        }
    }
}
